#pragma once
#include "Jass.h"
#include "MyArray.h"
#include "MyString.h"

class sGlobal
{
private:
	static const int CONST_MAX_SIZE_MASS = 8190;
public:
integer V;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> E;
integer X;
sMyString O;
hashtable I;
integer A;
integer N;
boolean B;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> C;
integer D;
integer f;
integer F;
integer G;
integer H;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> J;
integer K;
boolean L;
boolean M;
boolean P;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Q;
integer S;
timer U;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> w;
	sMyArray<real[1],CONST_MAX_SIZE_MASS> W;
integer Y;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> z;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> Z;
integer vv;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> ev;
timer xv;
hashtable ov;
group rv;
rect iv;
hashtable av;
	sMyArray<trigger[1],CONST_MAX_SIZE_MASS> nv;
integer Vv;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Ev;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Xv;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Ov;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Rv;
boolean Iv;
boolean Av;
unit Nv;
real bv;
timer Bv;
timer cv;
trigger Cv;
integer dv;
integer Dv;
hashtable fv;
hashtable Fv;
integer gv;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Gv;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> hv;
sound Hv;
trigger jv;
multiboard Jv;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> kv;
boolean Kv;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> Lv;
integer mv;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> Mv;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> pv;
	sMyArray<lightning[1],CONST_MAX_SIZE_MASS> Pv;
destructable qv;
timer Qv;
timer sv;
real Sv;
real tv;
real Tv;
real uv;
real Uv;
real wv;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> Wv;
integer yv;
timer Yv;
integer zv;
integer Zv;
group ve;
unit ee;
unit xe;
real oe;
group re;
trigger ie;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> ae;
integer ne;
rect Ve;
rect Ee;
rect Xe;
rect Oe;
rect Re;
rect Ie;
rect Ae;
rect Ne;
rect be;
rect Be;
rect ce;
rect Ce;
rect de;
rect De;
rect fe;
rect Fe;
rect ge;
rect Ge;
rect he;
rect He;
rect je;
rect Je;
rect ke;
rect Ke;
rect le;
rect Le;
rect me;
rect Me;
rect pe;
rect Pe;
rect qe;
rect Qe;
rect se;
rect Se;
rect te;
rect Te;
rect ue;
rect Ue;
rect We;
rect ye;
rect Ye;
rect ze;
rect Ze;
rect vx;
rect ex;
rect xx;
rect ox;
rect rx;
rect ix;
rect ax;
rect nx;
rect Vx;
rect Ex;
rect Xx;
rect Ox;
rect Rx;
rect Ix;
rect Ax;
rect Nx;
rect bx;
rect Bx;
rect cx;
rect Cx;
rect dx;
rect Dx;
rect fx;
rect Fx;
rect gx;
rect Gx;
rect hx;
rect Hx;
rect jx;
rect Jx;
rect kx;
rect Kx;
rect lx;
rect Lx;
rect mx;
rect Mx;
rect px;
rect Px;
rect qx;
rect Qx;
rect sx;
rect Sx;
rect tx;
rect Tx;
rect ux;
rect Ux;
rect wx;
rect Wx;
rect yx;
rect Yx;
rect zx;
rect Zx;
rect vo;
rect eo;
rect xo;
rect oo;
rect ro;
rect io;
rect ao;
rect no;
rect Vo;
rect Eo;
rect Xo;
rect Oo;
rect Ro;
rect Io;
rect Ao;
rect No;
rect bo;
rect Bo;
rect co;
rect Co;
rect do_2;
sound Do;
sound fo;
sound Fo;
sound go;
sound Go;
sound ho;
sound Ho;
sound jo;
sound Jo;
sound ko;
sound Ko;
sound lo;
sound Lo;
sound mo;
sound Mo;
sound po;
sound Po;
sound qo;
sound Qo;
sound so;
sound So;
sound to;
sound To;
sound uo;
sound Uo;
sound wo;
sound Wo;
sound yo;
sound Yo;
sound zo;
sound Zo;
sound vr;
sound er;
sound xr;
sound rr;
sound ir;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> ar;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> nr;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Vr;
integer Er;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> Xr;
integer Rr;
timer Ir;
trigger Ar;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Nr;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> br;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Br;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> cr;
integer Cr;
sMyString dr;
sMyString Dr;
sMyString fr;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> Fr;
integer gr;
timer Gr;
timer hr;
integer Hr;
player jr;
timer Jr;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> kr;
player Kr;
integer lr;
timer Lr;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> mr;
integer Mr;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> pr;
integer Pr;
timer qr;
hashtable Qr;
boolean sr;
region Sr;
integer tr;
integer Tr;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> ur;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Ur;
	sMyArray<trigger[1],CONST_MAX_SIZE_MASS> wr;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Wr;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> yr;
	sMyArray<boolean[1],CONST_MAX_SIZE_MASS> zr;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Zr;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> vi;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> ei;
	sMyArray<boolean[1],CONST_MAX_SIZE_MASS> xi;
integer oi;
integer ri;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> ii;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> ai;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> ni;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Vi;
	sMyArray<sMyString[1],CONST_MAX_SIZE_MASS> Ei;
integer Xi;
integer Oi;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Ri;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> Ii;
integer Ai;
integer Ni;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> bi;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> Bi;
	sMyArray<effect[1],CONST_MAX_SIZE_MASS> ci;
integer Ci;
integer di;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Di;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> fi;
	sMyArray<rect[1],CONST_MAX_SIZE_MASS> Fi;
integer gi;
integer Gi;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> hi;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Hi;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> ji;
	sMyArray<sMyString[1],CONST_MAX_SIZE_MASS> Ji;
	sMyArray<timer[1],CONST_MAX_SIZE_MASS> ki;
	sMyArray<player[1],CONST_MAX_SIZE_MASS> Ki;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> li;
	sMyArray<boolean[1],CONST_MAX_SIZE_MASS> Li;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> mi;
integer Mi;
integer pi;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Pi;
hashtable qi;
	sMyArray<timer[1],CONST_MAX_SIZE_MASS> Qi;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> si;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Si;
	sMyArray<sMyString[1],CONST_MAX_SIZE_MASS> ti;
	sMyArray<player[1],CONST_MAX_SIZE_MASS> Ti;
	sMyArray<boolean[1],CONST_MAX_SIZE_MASS> ui;
	sMyArray<real[1],CONST_MAX_SIZE_MASS> Ui;
	sMyArray<real[1],CONST_MAX_SIZE_MASS> wi;
integer Wi;
integer yi;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Yi;
	sMyArray<real[1],CONST_MAX_SIZE_MASS> zi;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Zi;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> va;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> ea;
	sMyArray<timer[1],CONST_MAX_SIZE_MASS> xa;
	sMyArray<boolean[1],CONST_MAX_SIZE_MASS> oa;
	sMyArray<boolean[1],CONST_MAX_SIZE_MASS> ra;
integer ia;
integer aa;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> na;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Va;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Ea;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Xa;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> Oa;
	sMyArray<sMyString[1],CONST_MAX_SIZE_MASS> Ra;
	sMyArray<boolean[1],CONST_MAX_SIZE_MASS> Ia;
	sMyArray<boolean[1],CONST_MAX_SIZE_MASS> Aa;
	sMyArray<real[1],CONST_MAX_SIZE_MASS> Na;
	sMyArray<real[1],CONST_MAX_SIZE_MASS> ba;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Ba;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> ca;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Ca;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> da;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Da;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> fa;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Fa;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> ga;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Ga;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> ha;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Ha;
	sMyArray<boolean[1],CONST_MAX_SIZE_MASS> ja;
integer Ja;
integer ka;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Ka;
	sMyArray<timer[1],CONST_MAX_SIZE_MASS> la;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> La;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> ma;
integer Ma;
integer Pa;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> qa;
	sMyArray<timer[1],CONST_MAX_SIZE_MASS> Qa;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> sa;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> Sa;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> ta;
integer Ta;
integer ua;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Ua;
	sMyArray<timer[1],CONST_MAX_SIZE_MASS> wa;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> Wa;
	sMyArray<unit[1],CONST_MAX_SIZE_MASS> ya;
	sMyArray<timer[1],CONST_MAX_SIZE_MASS> Ya;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> za;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> Za;
	sMyArray<boolean[1],CONST_MAX_SIZE_MASS> vn;
	sMyArray<timer[1],CONST_MAX_SIZE_MASS> en;
	sMyArray<boolean[1],CONST_MAX_SIZE_MASS> xn;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> on;
	sMyArray<integer[1],CONST_MAX_SIZE_MASS> rn;
	sMyArray<trigger[1],CONST_MAX_SIZE_MASS> in;
	sMyArray<trigger[1],CONST_MAX_SIZE_MASS> an;
	sMyArray<trigger[1],CONST_MAX_SIZE_MASS> nn;
	sMyArray<trigger[1],CONST_MAX_SIZE_MASS> Vn;
trigger En;
trigger Xn;
trigger On;
trigger Rn;
	sMyArray<trigger[1],CONST_MAX_SIZE_MASS> In;
	sMyArray<trigger[1],CONST_MAX_SIZE_MASS> An;
	sMyArray<trigger[1],CONST_MAX_SIZE_MASS> Nn;
integer bn;
	sMyArray<trigger[1],CONST_MAX_SIZE_MASS> Bn;
unit cn;
integer Cn;
integer dn;
integer Dn;
boolean fn;
integer Fn;
boolean gn;
;

	sGlobal()
	{
		X=0;
		O=sMyString("");
		A=0;
		N=0x28829022;
		B=false;
		D=0;
		f=0;
		F=0;
		G=0;
		H=0;
		K=0;
		L=false;
		M=false;
		P=false;
		S=0;
		U=CreateTimer();
		Y=0;
		vv=0;
		xv=CreateTimer();
		rv=CreateGroup();
		iv=Rect(.0,.0,.0,.0);
		av=InitHashtable();
		Vv=0;
		Iv=false;
		Av=false;
		Nv=NULL;
		bv=0;
		Bv=CreateTimer();
		cv=CreateTimer();
		Cv=CreateTrigger();
		dv=0;
		Dv=0;
		fv=NULL;
		Fv=InitHashtable();
		gv=0;
		Jv=NULL;
		Kv=false;
		mv=0;
		Qv=CreateTimer();
		sv=CreateTimer();
		Sv=-256;
		tv=-512;
		Tv=300;
		wv=500.0*0.1;
		yv=0;
		Yv=CreateTimer();
		zv=0x7F;
		ve=CreateGroup();
		ie=NULL;
		ne=0;
		Ve=NULL;
		Ee=NULL;
		Xe=NULL;
		Oe=NULL;
		Re=NULL;
		Ie=NULL;
		Ae=NULL;
		Ne=NULL;
		be=NULL;
		Be=NULL;
		ce=NULL;
		Ce=NULL;
		de=NULL;
		De=NULL;
		fe=NULL;
		Fe=NULL;
		ge=NULL;
		Ge=NULL;
		he=NULL;
		He=NULL;
		je=NULL;
		Je=NULL;
		ke=NULL;
		Ke=NULL;
		le=NULL;
		Le=NULL;
		me=NULL;
		Me=NULL;
		pe=NULL;
		Pe=NULL;
		qe=NULL;
		Qe=NULL;
		se=NULL;
		Se=NULL;
		te=NULL;
		Te=NULL;
		ue=NULL;
		Ue=NULL;
		We=NULL;
		ye=NULL;
		Ye=NULL;
		ze=NULL;
		Ze=NULL;
		vx=NULL;
		ex=NULL;
		xx=NULL;
		ox=NULL;
		rx=NULL;
		ix=NULL;
		ax=NULL;
		nx=NULL;
		Vx=NULL;
		Ex=NULL;
		Xx=NULL;
		Ox=NULL;
		Rx=NULL;
		Ix=NULL;
		Ax=NULL;
		Nx=NULL;
		bx=NULL;
		Bx=NULL;
		cx=NULL;
		Cx=NULL;
		dx=NULL;
		Dx=NULL;
		fx=NULL;
		Fx=NULL;
		gx=NULL;
		Gx=NULL;
		hx=NULL;
		Hx=NULL;
		jx=NULL;
		Jx=NULL;
		kx=NULL;
		Kx=NULL;
		lx=NULL;
		Lx=NULL;
		mx=NULL;
		Mx=NULL;
		px=NULL;
		Px=NULL;
		qx=NULL;
		Qx=NULL;
		sx=NULL;
		Sx=NULL;
		tx=NULL;
		Tx=NULL;
		ux=NULL;
		Ux=NULL;
		wx=NULL;
		Wx=NULL;
		yx=NULL;
		Yx=NULL;
		zx=NULL;
		Zx=NULL;
		vo=NULL;
		eo=NULL;
		xo=NULL;
		oo=NULL;
		ro=NULL;
		io=NULL;
		ao=NULL;
		no=NULL;
		Vo=NULL;
		Eo=NULL;
		Xo=NULL;
		Oo=NULL;
		Ro=NULL;
		Io=NULL;
		Ao=NULL;
		No=NULL;
		bo=NULL;
		Bo=NULL;
		co=NULL;
		Co=NULL;
		do_2=NULL;
		Do=NULL;
		fo=NULL;
		Fo=NULL;
		go=NULL;
		Go=NULL;
		ho=NULL;
		Ho=NULL;
		jo=NULL;
		Jo=NULL;
		ko=NULL;
		Ko=NULL;
		lo=NULL;
		Lo=NULL;
		mo=NULL;
		Mo=NULL;
		po=NULL;
		Po=NULL;
		qo=NULL;
		Qo=NULL;
		so=NULL;
		So=NULL;
		to=NULL;
		To=NULL;
		uo=NULL;
		Uo=NULL;
		wo=NULL;
		Wo=NULL;
		yo=NULL;
		Yo=NULL;
		zo=NULL;
		Zo=NULL;
		vr=NULL;
		er=NULL;
		xr=NULL;
		rr=NULL;
		ir=NULL;
		Er=0;
		Rr=0;
		Ir=CreateTimer();
		Cr=0;
		gr=0;
		jr=NULL;
		Jr=CreateTimer();
		Lr=CreateTimer();
		Mr=0;
		Pr=0xA;
		qr=CreateTimer();
		Qr=InitHashtable();
		sr=false;
		tr=0;
		Tr=0;
		oi=0;
		ri=0;
		Xi=0;
		Oi=0;
		Ai=0;
		Ni=0;
		Ci=0;
		di=0;
		gi=0;
		Gi=0;
		Mi=0;
		pi=0;
		qi=InitHashtable();
		Wi=0;
		yi=0;
		ia=0;
		aa=0;
		Ja=0;
		ka=0;
		Ma=0;
		Pa=0;
		Ta=0;
		ua=0;
	};

};

procedure fMyExecuteFunc(String funcName);
void fMapBegin();
HPLAYER fMyGetLocalPlayer();
void fMapEnd();
bool fFuncsInit();
void fMain();
sMyString fMyI2S(integer vInt);
sMyString fMySubString(sMyString &source, Integer start, Integer end_);
sMyString fMyGetUnitName(unit u);
integer fMyStringHash(String vStr);

integer Gn();
integer Hn();
integer jn();
void Jn( integer hn);
integer kn();
integer Kn();
void ln( integer hn);
integer Ln();
void mn( integer hn);
integer Mn();
integer pn();
integer Pn();
void qn( integer hn);
integer Qn();
void sn( integer hn);
integer Sn();
integer tn();
integer Tn( integer hn, unit u, integer un);
integer Un( integer hn, unit u);
void wn( integer hn, unit u);
integer Yn();
integer Zn( integer vV, integer eV, integer xV, boolean oV);
integer rV();
void iV( integer i, unit a1, integer a2);
integer aV( integer i, unit a1, integer a2, integer a3);
integer nV( integer i, unit a1, integer a2);
void BonusMod__Setup();
integer s__Bonus_create();
integer VV( integer hn, unit u, integer un);
integer EV( integer hn, unit u);
boolean XV( integer hn, unit u, integer yn);
integer OV( integer hn, unit u, integer un);
integer RV( integer hn, unit u);
void IV( integer hn, unit u);
boolean AV( integer hn, unit u, integer yn);
void NV( unit u, integer bV);
integer cV( unit u, integer bV, integer un);
integer DV( unit u, integer bV);
void fV();
sMyString HCL_GetCommandString();
void FV();
void HV( unit jV, integer JV, player kV);
timer lV( integer yn);
timer NewTimer();
void LV( timer t);
void mV();
void MV( sMyString s);
void PV( unit qV, unitstate QV, real sV);
void UV();
void wV();
void WV( unit u, real yV);
integer ZV( sMyString s, integer a, integer b);
integer xE( sMyString oE);
void rE();
void iE();
unit aE( player p, real x, real y);
void nE( player p, unit u, integer id, sMyString VE);
void EE();
void XE( real OE, sMyString RE);
integer IE( unit u);
integer AE( unit u, effect e);
integer bE( integer BE);
void CE();
trigger dE();
void DE();
sMyString fE( real t);
sMyString FE( real t);
void gE( trigger GE, playerevent hE);
void HE( trigger GE, playerunitevent hE, boolexpr jE);
void JE( trigger GE, sMyString kE, boolean KE);
boolean lE( unit u);
boolean LE();
boolean mE();
boolean ME();
boolean pE();
void PE();
void qE( unit u);
void sE( integer BE);
void SE( player p, integer QE);
boolean tE();
void TE();
void uE();
boolean UE();
void WE();
void yE();
void YE();
boolean zE();
void ZE();
void vX();
integer xX();
unit oX( player p);
boolean rX( unit u);
boolean iX( unit u);
boolean aX( unit u);
boolean nX( unit u);
void VX();
void EX();
void bloodlust__onBloodlust();
void bloodlust__onLol();
void XX();
void changeGender___onChangeGender();
void OX();
void detonate___onDetonate();
void RX();
void IX();
void infernalMeteorExplode__onMeteorExplode();
void AX();
void NX( unit u, rect r);
void bX();
void BX( real t, integer cX, real CX, real dX, real DX, real fX, real FX, real gX, sMyString GX);
void hX( player p, sMyString s);
sMyString jX( player p);
void JX( unit u);
sMyString kX( player p);
sMyString KX( integer id);
void lX( player p, integer LX, integer mX);
player MX( sMyString s);
void pX( integer i);
void PX( boolean qX);
void QX();
real GameTime();
void sX();
void rodTeleport__onTeleport();
void tX();
boolean TX();
void uX();
void stopResearch__onStopResearch();
void WX();
void yX();
void vampireRecall___onRecall();
void YX();
void vampireTrap__onTrap();
void zX();
void ZX();
void volcanicStrike___onVolcanicStrike();
void vO();
boolean eO();
void rO();
boolean iO();
void aO();
void nO();
void VO();
void chainOfDeath__onChainEffect();
void EO();
void cyclone__onCyclone();
void XO();
boolean OO();
void RO();
void IO();
void NO();
void bO();
void BO();
void cO();
void CO();
boolean dO();
void DO();
integer fO( sMyString FO);
void gO( integer b, rect r);
boolean GO( integer b, real x, real y);
integer hO( real x, real y);
void HO( integer b);
integer jO( player p);
void JO( integer b, real kO);
void lO( real kO);
void LO( integer b, player p, integer mO);
boolean MO( integer b, player p);
void pO( player p);
boolean PO();
boolean qO();
void QO();
boolean sO();
void SO();
void UO( player p, integer g, real x, real y);
boolean wO( integer WO);
boolean yO( integer id);
boolean YO();
void zO( integer ZO, integer wX);
boolean vR();
void xR();
void oR();
integer iR( integer aR, integer QE, real nR, sMyString KV);
void OR( integer hn, real x, real y);
void RR( integer aR, integer a, integer b, integer c);
boolean IR();
void AR();
integer NR( unit u);
void bR( unit u);
void BR( unit u);
boolean cR();
boolean CR();
void dR();
void DR();
void FR( integer gR, integer GR, sMyString KV);
void hR( integer p);
void JR();
void kR();
void MR();
void pR();
void observe___onObserveHuman();
void observe___onObserveVampire();
void QR();
void sR( integer p);
void UR( integer p);
void wR();
void WR( integer BE);
void sphereOfDoom___onSphereBlink();
void yR();
void YR( unit u);
void zR( real nR, code ZR);
void vI();
void eI();
void xI();
void oI();
void rI();
void iI();
void aI();
void nI();
void VI();
void upgradeInfernal__onUpgradeInvisibleInfernal();
void EI();
void upgradeInfernal__onUpgradeRangedInfernal();
void XI();
void upgradeInfernal__onUpgradeCorruptedInfernal();
void OI();
void upgradeInfernal__onUpgradeFrozenInfernal();
void RI();
void II();
void upgradeInfernal__onUpgradeVolcanicInfernal();
void AI();
void upgradeInfernal__onUpgradeInfernalMeteor();
void NI();
void buildingProtection___onBuildingProtection();
boolean bI();
void cI();
void chopTree__onChopTree();
void CI();
void chopTree__onRegrowTree();
void dI();
void DI();
boolean fI();
boolean FI();
void gI();
void GI();
void hI();
void HI();
void jI( integer pD, integer pK, boolean JI);
void kI();
void KI( integer pD, integer pK);
void mI();
void MI( integer BE);
void pI();
void PI();
boolean qI();
void QI();
void sI();
void tI( unit TI);
void uI();
boolean UI();
boolean wI();
void WI();
void yI( integer a);
integer YI();
void xA();
void turnMinion___onTurnMinion();
void rA();
void iA( integer aA, integer nA);
void RA( integer id, integer IA, integer un);
void AA( integer NA, integer i0, integer i1, integer i2, integer i3, integer i4, integer i5);
void bA( unit u);
void CA();
boolean dA();
void DA();
void fA();
void FA();
void gA();
void GA( boolean hA);
void HA();
void jA();
void JA();
void kA( integer id);
void KA();
boolean lA();
void LA();
void mA();
void MA();
void pA();
void PA();
void qA();
void QA();
boolean sA();
void uA();
boolean UA();
boolean wA();
void WA();
boolean yA();
boolean YA();
void zA();
boolean ZA();
void vN();
boolean eN();
void xN();
integer oN( integer n);
void rN( player pK);
void iN();
void aN();
boolean nN();
boolean XN();
void ON();
boolean IN_2();
void NN();
sMyString bN( sMyString s);
integer BN( sMyString s);
void cN( sMyString s);
boolean CN();
boolean dN();
void DN();
boolean gN();
void JN();
void kN();
boolean KN();
void lN();
void LN();
boolean mN();
boolean MN();
void pN();
void PN( integer hn);
void qN( integer hn);
void QN();
boolean sN();
boolean SN();
void tN();
real TN( integer QE);
void uN( integer hn);
void UN( integer hn);
void wN();
boolean WN();
boolean YN();
void zN();
boolean ZN();
boolean vb();
void eb();
void ob();
boolean rb();
void ib();
boolean ab();
void nb();
void Vb( unit uD, unit uK);
boolean Eb();
void Rb();
void Ib();
boolean Nb();
void cb();
boolean Cb();
boolean gb();
void Kb();
void lb( integer id, integer fX, integer FX, integer gX, integer Lb);
boolean mb();
void Mb();
boolean pb();
void qb();
boolean Qb();
void sb();
boolean Sb();
void tb();
void Tb();
boolean ub();
boolean Ub();
void wb();
boolean Wb();
void yb();
void InitCustomTeams();
void fMainJass();
void config();
boolean zb();
boolean Zb();
boolean vB();
boolean eB();
boolean xB();
boolean oB();
boolean rB();
boolean iB();
boolean aB();
boolean nB();
boolean VB();
boolean EB();
boolean XB();
boolean OB();
boolean RB();
boolean IB();
boolean AB();
boolean NB();
boolean bB();
boolean BB();
boolean cB();
boolean CB();
boolean dB();
boolean DB();
boolean fB();
boolean FB();
boolean gB();
boolean GB();
boolean hB();
boolean HB();
boolean jB();
boolean JB();
boolean kB();
boolean KB();
boolean lB();
boolean LB();
boolean mB();
boolean MB();
boolean pB();
boolean PB();
boolean qB();
void Yb();
